<?php

require_once '../incfiles/core.php';
require_once '../incfiles/func.php';
require_once '../incfiles/auth.php';
require_once '../incfiles/user.php';

if (!empty($_GET['id']) && is_numeric($_GET['id']))
{
	$id = abs(intval($_GET['id']));
	$result = mysql_query("SELECT * FROM `groups` WHERE `id` = '".$id."' LIMIT 1");
	if (mysql_num_rows($result) == true) $arr_group = mysql_fetch_array($result);
	else go(URL);
}


$group_id = mysql_query("SELECT * FROM `groups` WHERE `id` = '".$id."' LIMIT 1");

if ($_POST['del'])
{
		$oblozhka = HOME.'/files/groups/oblozhka/'.$arr_group['oblozhka'];
		if (file_exists($oblozhka))
		{
		unlink($oblozhka);
		}
		mysql_query("UPDATE `groups` SET `oblozhka` = '' WHERE `id` = '".$arr_group['id']."'");

		go(URL.'/user/oblozhka.php');
}
else if (!empty($_POST['upl']) && !empty($_FILES['file']['name']))
{
	require_once HOME.'/toolkit/AcImage.php';
	AcImage::setTransparency(true);
	AcImage::setQuality(80);
	if(AcImage::isFileExists($_FILES['file']['tmp_name'])) {} else {$err = 'Файл не существует!';}
	if($err == false && AcImage::isFileImage($_FILES['file']['tmp_name']))
	{
		$oblozhka = HOME.'/files/groups/oblozhka/'.$arr_group['id'].'.jpg';
		if (file_exists($oblozhka))
		{
		unlink($oblozhka);
		}
		$dir = HOME.'/files/groups/oblozhka';
		if (!is_dir($dir))
		{
			mkdir(HOME.'/files/groups/oblozhka',0777);
		}
		$file_name = $id.'.jpg';
		///
		$savePath = HOME.'/files/groups/oblozhka/'.$file_name;
		$filePath = $_FILES['file']['tmp_name'];
		$image = AcImage::createImage($filePath);
		$image
		->resizeByWidth(600)
		->cropCenter('3pr', '1pr')
		->save($savePath);

		mysql_query("UPDATE `groups` SET `oblozhka` = '".$file_name."' WHERE `id` = '".$arr_group['id']."'");

		go(URL.'/groups/?id='.$id.'');
	}
	else
	{
		$err = ''.lang('Неизвестный формат!','Невідомий формат!').'';
	}
}

$title = ''.lang('Изменить обложку!','Змінити обкладинку!').'';
require_once '../incfiles/head.php';
?>
<script type="text/javascript">
$(function(){
	$('#form').on('submit', function(e){
    e.preventDefault();
    var $that = $(this),
        formData = new FormData($that.get(0));
    $.ajax({
      url: $that.attr('action'),
      type: $that.attr('method'),
      contentType: false,
      processData: false,
      data: formData,
      dataType: 'json',
      xhr: function(){
	        var xhr = $.ajaxSettings.xhr(); // получаем объект XMLHttpRequest
        xhr.upload.addEventListener('progress', function(evt){ // добавляем обработчик события progress (onprogress)
 		$('#notifications').html('<?echo '<p>'.lang('Загрузка...','Завантаження...').'</p>';?><progress id="progressbar" value="0" max="100"></progress>').show();
		var progressBar = $('#progressbar');
         if(evt.lengthComputable) { // если известно количество байт
            // высчитываем процент загруженного
            var percentComplete = Math.ceil(evt.loaded / evt.total * 100);
            // устанавливаем значение в атрибут value тега <progress>
            // и это же значение альтернативным текстом для браузеров, не поддерживающих <progress>
            progressBar.val(percentComplete).text(percentComplete + '%');
				if(percentComplete == 100)
				{
					$('#notifications').hide();
					Page.Go($that.attr('action')+'&r=<?echo time();?>');
				}
          }
        }, false);
        return xhr;
      },
      success: function(json){
        if(json){
          $that.after(json);
        }
      }
    });
  });
});
</script>
<?
echo '<div class="title">'.lang('Изменить обложку!','Змінити обкладинку!').'</div>';
if (!empty($arr_group['oblozhka']))
{
	echo '<div class="block2">'.lang('Текущая обложка:','Поточна обкладинка').'<br/>
	<center>
	<img class="preview" src="'.URL.'/files/groups/oblozhka/'.$arr_group['oblozhka'].'"/>
	</center>
	</div>';
	
}
	echo ''.err($err);
	
echo''.$group_id.'';
	
	echo '
	<form id="form" action="'.URL.'/groups/oblozhka.php" method="post" enctype="multipart/form-data">
		<input class="input2" name="file" type="file"/> </br>
		<input class="button2" type="submit" name="upl" value="'.lang('Загрузить','Завантажити').'"/>
</br> <input class="button" type="submit" name="del" value="'.lang('Очистить','Очистити').'" />
	</div>
	</form>';

require_once '../incfiles/foot.php';

?>